{ lib
, buildPythonApplication
, makePythonPath
, fetchFromGitHub
, python3
, hatchling
, django_4
, django-bootstrap5
, django-admin-autocomplete-filter
, django-verify-email
}:

buildPythonApplication rec {
  pname = "nerd";
  version = "0.0.1";

  src = fetchFromGitHub {
    owner = "dect-e";
    repo = pname;
    #rev = "v${version}";
    rev = "245a9068c56ef32bd9efb3a23ce7d342a8f08165";
    sha256 = "sha256-KWziUzb7cW4jFgh4VGqw0DSV4ebICpvuyJh/85o3Jmk=";
  };

  sourceRoot = "source/src";

  format = "pyproject";

  buildInputs = [ python3 hatchling ];
  propagatedBuildInputs = [
    django_4
    django-bootstrap5
    django-admin-autocomplete-filter
    django-verify-email
  ];

  postInstall = ''
    python ./manage.py collectstatic

    mkdir -p $out/var/lib/nerd
    cp -r static $out/var/lib/nerd/
  '';

  passthru = {
    # PYTHONPATH of all dependencies used by the package
    pythonPath = python3.pkgs.makePythonPath propagatedBuildInputs;
  };

  doCheck = false;
}
